%define upstream_name    HTTP-Exception
%define upstream_version 0.04007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Throw HTTP-Errors as Exceptions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exception::Class) >= 1.290.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Status) >= 5.817.0
BuildRequires: perl(Scalar::Util) >= 1.220.0
BuildRequires: perl(Test::Exception) >= 0.290.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Every HTTP::Exception is a L<Exception::Class> - Class. So the same
mechanisms apply as with L<Exception::Class>-classes. In fact have a look
at L<Exception::Class>' docs for more general information on exceptions and
L<Exception::Class::Base> for information on what methods a caught
exception also has.

HTTP::Exception is only a factory for HTTP::Exception::XXX (where X is a
number) subclasses. That means that HTTP::Exception->new(404) returns a
HTTP::Exception::404 object, which in turn is a HTTP::Exception::Base -
Object.

Don't bother checking a caught HTTP::Exception::...-class with "isa" as it
might not contain what you would expect. Use the code- or
status_message-attributes and the is_ -methods instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.40.70-3.mga8
+ Revision: 1504688
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.70-2.mga7
+ Revision: 1284015
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.40.70-1.mga7
+ Revision: 1253964
- update to 0.04007

* Sun Jun 19 2016 pterjan <pterjan> 0.40.60-5.mga6
+ Revision: 1028436
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.60-4.mga6
+ Revision: 943531
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.60-3.mga5
+ Revision: 744565
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.60-2.mga5
+ Revision: 685002
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.40.60-1.mga5
+ Revision: 593600
- update to 0.04006

* Fri Oct 18 2013 umeabot <umeabot> 0.40.40-3.mga4
+ Revision: 512165
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.40-2.mga3
+ Revision: 368274
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.40.40-1.mga3
+ Revision: 286186
- update to 0.04004

* Sat Feb 25 2012 kharec <kharec> 0.40.10-1.mga2
+ Revision: 214480
- update to 0.04001

* Tue Jun 21 2011 jquelin <jquelin> 0.30.10-1.mga2
+ Revision: 111589
- imported package perl-HTTP-Exception


* Tue Jun 21 2011 cpan2dist 0.03001-1mga
- initial mageia release, generated with cpan2dist
